> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tronrental.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Webhook Logs

> View recent webhook delivery logs

## Webhook Logs

Returns recent webhook delivery attempts for debugging.

### Response

Array of log entries:

<ResponseField name="id" type="number">
  Log entry ID
</ResponseField>

<ResponseField name="event_type" type="string">
  Event that triggered the webhook
</ResponseField>

<ResponseField name="payload" type="object">
  The payload that was sent
</ResponseField>

<ResponseField name="response_status" type="number">
  HTTP status code from your server
</ResponseField>

<ResponseField name="attempts" type="number">
  Number of delivery attempts
</ResponseField>

<ResponseField name="created_at" type="string">
  Timestamp
</ResponseField>

### Example

```bash theme={null}
curl https://api.tronrental.com/v1/webhooks/logs \
  -H "X-API-Key: your_api_key"
```

```json Response theme={null}
[
  {
    "id": 1,
    "event_type": "order.filled",
    "payload": {
      "order_id": 12345,
      "address": "TAddress...",
      "energy_amount": 65000
    },
    "response_status": 200,
    "attempts": 1,
    "created_at": "2026-03-05T12:00:00Z"
  }
]
```
